Bug 46588 - There appears to be a problem with java and glibc > 2.2
There appears to be a problem with java and glibc > 2.2
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
i586 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-29 08:47 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 06:30:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-29 08:47:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
Some java apps. are now crashing and reporting a "crash outside th VM". 
The offending libraries are reported as libc.so.6 and libpthread.so.0

How reproducible:
Always

Steps to Reproduce:
1. Take a new java app. (The best example I've found so far is JBuilder)
2. Attempt to start it
3. At some point the app. will crash reporting "An unexpected exception 
has been detected in native code outside the VM"
	

Expected Results:  No crash !

Additional info:

This may not be a glibc problem at all, but the best outputs from the 
various JRE's seem to point to glibc as being the problem.

The following are some output from attempting to run JBuilder with 
different JDK's and flags :

---------------------------------------------------------------------
Using JDK 1.4.0-beta (which doesn't support the -classic flag) :
---------------------------------------------------------------------


An unexpected exception has been detected in native code outside the VM.
Unexpected Signal : 11 occurred at PC=0x40031F08
Function=__pthread_mutex_lock+0x18
Library=/lib/libpthread.so.0

Current Java thread:
	at java.net.Inet4AddressImpl.lookupAllHostAddr(Native Method)
	at java.net.InetAddress$1.lookupAllHostAddr(InetAddress.java:591)
	at java.net.InetAddress.getAddressFromNameService
(InetAddress.java:819)
	at java.net.InetAddress.getAllByName0(InetAddress.java:775)
	at java.net.InetAddress.getAllByName0(InetAddress.java:748)
	at java.net.InetAddress.getAllByName(InetAddress.java:742)
	at java.net.InetAddress.getByName(InetAddress.java:679)
	at java.net.URLStreamHandler.getHostAddress
(URLStreamHandler.java:343)
	- locked <0x447003b0> (a com.borland.primetime.vfs.Handler)
	at java.net.URLStreamHandler.hashCode(URLStreamHandler.java:265)
	at java.net.URL.hashCode(URL.java:764)
	- locked <0x44055768> (a java.net.URL)
	at java.util.Hashtable.get(Hashtable.java:320)
	- locked <0x447a6ed0> (a java.util.Hashtable)
	at ice.pilots.html4.p.a(Unknown Source)
	at ice.pilots.html4.p.a(Unknown Source)
	at ice.pilots.html4.CSSLayout.b(Unknown Source)
	at ice.pilots.html4.CSSLayout.layout(Unknown Source)
	at ice.pilots.html4.swing.p.a(Unknown Source)
	at ice.pilots.html4.swing.p.doLayout(Unknown Source)
	at java.awt.Container.validateTree(Container.java:865)
	at java.awt.Container.validateTree(Container.java:872)
	at java.awt.Container.validateTree(Container.java:872)
	at java.awt.Container.validateTree(Container.java:872)
	at java.awt.Container.validateTree(Container.java:872)
	at java.awt.Container.validateTree(Container.java:872)
	at java.awt.Container.validateTree(Container.java:872)
	at java.awt.Container.validateTree(Container.java:872)
	at java.awt.Container.validate(Container.java:840)
	- locked <0x443cfb98> (a java.awt.Component$AWTTreeLock)
	at com.borland.primetime.ui.Splitter.doLayout(Unknown Source)
	at java.awt.Container.validateTree(Container.java:865)
	at java.awt.Container.validate(Container.java:840)
	- locked <0x443cfb98> (a java.awt.Component$AWTTreeLock)
	at com.borland.primetime.ui.Splitter.doLayout(Unknown Source)
	at java.awt.Container.validateTree(Container.java:865)
	at java.awt.Container.validateTree(Container.java:872)
	at java.awt.Container.validateTree(Container.java:872)
	at java.awt.Container.validateTree(Container.java:872)
	at java.awt.Container.validateTree(Container.java:872)
	at java.awt.Container.validate(Container.java:840)
	- locked <0x443cfb98> (a java.awt.Component$AWTTreeLock)
	at java.awt.Window.show(Window.java:429)
	at java.awt.Component.show(Component.java:1110)
	at java.awt.Component.setVisible(Component.java:1067)
	at com.borland.jbuilder.ac.run(Unknown Source)
	at java.awt.event.InvocationEvent.dispatch
(InvocationEvent.java:167)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:437)
	at java.awt.EventDispatchThread.pumpOneEvent
(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:136)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:131)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:99)

Dynamic libraries:
08048000-08051000 r-xp 00000000 03:07 
48946      /opt/JDKs/Sun/jdk1.4.0/bin/i386/native_threads/java
08051000-08053000 rw-p 00008000 03:07 
48946      /opt/JDKs/Sun/jdk1.4.0/bin/i386/native_threads/java
40000000-40015000 r-xp 00000000 03:0a 85155      /lib/ld-2.2.3.so
40015000-40016000 rw-p 00014000 03:0a 85155      /lib/ld-2.2.3.so
40017000-40020000 r-xp 00000000 03:07 
32956      /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/native_threads/libhpi.so
40020000-40021000 rw-p 00008000 03:07 
32956      /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/native_threads/libhpi.so
40021000-4002a000 r--s 00000000 03:07 
48710      /opt/JBuilder5/lib/lawt.jar
4002a000-40039000 r-xp 00000000 03:0a 80035      /lib/libpthread-0.9.so
40039000-40041000 rw-p 0000e000 03:0a 80035      /lib/libpthread-0.9.so
40041000-4033d000 r-xp 00000000 03:07 
64890      /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/client/libjvm.so
4033d000-4050d000 rw-p 002fb000 03:07 
64890      /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/client/libjvm.so
40521000-40524000 r-xp 00000000 03:0a 85161      /lib/libdl-2.2.3.so
40524000-40525000 rw-p 00002000 03:0a 85161      /lib/libdl-2.2.3.so
40525000-4064f000 r-xp 00000000 03:0a 85159      /lib/libc-2.2.3.so
4064f000-40655000 rw-p 00129000 03:0a 85159      /lib/libc-2.2.3.so
4065a000-4066d000 r-xp 00000000 03:0a 85163      /lib/libnsl-2.2.3.so
4066d000-4066f000 rw-p 00012000 03:0a 85163      /lib/libnsl-2.2.3.so
40671000-406ab000 r-xp 00000000 03:0a 18161      /usr/lib/libstdc++-3-
libc6.2-2-2.10.0.so
406ab000-406b7000 rw-p 00039000 03:0a 18161      /usr/lib/libstdc++-3-
libc6.2-2-2.10.0.so
406b9000-406dc000 r-xp 00000000 03:0a 85162      /lib/libm-2.2.3.so
406dc000-406dd000 rw-p 00022000 03:0a 85162      /lib/libm-2.2.3.so
406dd000-406f2000 r-xp 00000000 03:07 
240541     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libverify.so
406f2000-406f5000 rw-p 00014000 03:07 
240541     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libverify.so
406f5000-4071b000 r-xp 00000000 03:07 
240542     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libjava.so
4071b000-4071e000 rw-p 00025000 03:07 
240542     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libjava.so
4071f000-40733000 r-xp 00000000 03:07 
240543     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libzip.so
40733000-40736000 rw-p 00013000 03:07 
240543     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libzip.so
40736000-41bbc000 r--s 00000000 03:07 
160716     /opt/JDKs/Sun/jdk1.4.0/jre/lib/rt.jar
41bfb000-41eee000 r--s 00000000 03:07 
160761     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i18n.jar
41eee000-41f03000 r--s 00000000 03:07 
160704     /opt/JDKs/Sun/jdk1.4.0/jre/lib/sunrsasign.jar
41f03000-41f7d000 r--s 00000000 03:07 
160706     /opt/JDKs/Sun/jdk1.4.0/jre/lib/jsse.jar
41f7d000-41f8f000 r--s 00000000 03:07 
160705     /opt/JDKs/Sun/jdk1.4.0/jre/lib/jce.jar
44037000-44038000 r--p 00000000 03:0a 
53044      /usr/share/locale/en_GB/LC_IDENTIFICATION
44038000-44039000 r--p 00000000 03:0a 
245521     /usr/share/locale/en_GB/LC_MEASUREMENT
44039000-4403a000 r--p 00000000 03:0a 
53045      /usr/share/locale/en_GB/LC_TELEPHONE
4403a000-4403b000 r--p 00000000 03:0a 
245522     /usr/share/locale/en_GB/LC_ADDRESS
4403b000-4403c000 r--p 00000000 03:0a 
245520     /usr/share/locale/en_GB/LC_NAME
4403c000-4403d000 r--p 00000000 03:0a 
245519     /usr/share/locale/en_GB/LC_PAPER
4403d000-4403e000 r--p 00000000 03:0a 
245526     /usr/share/locale/en_GB/LC_MESSAGES/SYS_LC_MESSAGES
4403e000-4403f000 r--p 00000000 03:0a 
53046      /usr/share/locale/en_GB/LC_MONETARY
4403f000-44040000 r--p 00000000 03:0a 
241211     /usr/share/locale/en_GB/LC_TIME
4e0e0000-4e0fb000 r--p 00000000 03:0a 117928     /usr/share/locale/ISO-
8859-1/LC_CTYPE
4e0fb000-4e101000 r--p 00000000 03:0a 117927     /usr/share/locale/ISO-
8859-1/LC_COLLATE
4e101000-4e102000 r--p 00000000 03:0a 
241217     /usr/share/locale/en_GB/LC_NUMERIC
4e102000-4e104000 r--s 00000000 03:07 
160702     /opt/JDKs/Sun/jdk1.4.0/jre/lib/ext/dnsns.jar
4e104000-4e111000 r--s 00000000 03:07 
160703     /opt/JDKs/Sun/jdk1.4.0/jre/lib/ext/ldapsec.jar
4e111000-4e113000 r--s 00000000 03:07 
48701      /opt/JBuilder5/lib/jaxp.jar
4e115000-4e11f000 r-xp 00000000 03:0a 85170      /lib/libnss_files-2.2.3.so
4e11f000-4e120000 rw-p 00009000 03:0a 85170      /lib/libnss_files-2.2.3.so
4e14b000-4e169000 r--s 00000000 03:07 
160701     /opt/JDKs/Sun/jdk1.4.0/jre/lib/ext/sunjce_provider.jar
4e169000-4e5d1000 r--s 00000000 03:07 
240569     /opt/JDKs/Sun/jdk1.4.0/lib/tools.jar
4e5d1000-4e5ec000 r--s 00000000 03:07 
48689      /opt/JBuilder5/lib/beandt.jar
4e5ec000-4e5f9000 r--s 00000000 03:07 48696      /opt/JBuilder5/lib/dt.jar
4e5f9000-4e64c000 r--s 00000000 03:07 48697      /opt/JBuilder5/lib/dx.jar
4e64c000-4e652000 r--s 00000000 03:07 
48698      /opt/JBuilder5/lib/gnuregexp.jar
4e652000-4e73a000 r--s 00000000 03:07 
48699      /opt/JBuilder5/lib/help.jar
4e73a000-4e7f8000 r--s 00000000 03:07 
48703      /opt/JBuilder5/lib/jbcl.jar
4e7f8000-4f864000 r--s 00000000 03:07 
48705      /opt/JBuilder5/lib/jbuilder.jar
4f897000-4fb37000 r-xp 00000000 03:07 
240551     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libawt.so
4fb37000-4fb49000 rw-p 0029f000 03:07 
240551     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libawt.so
4fb6e000-4fbbf000 r-xp 00000000 03:07 
240550     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libmlib_image.so
4fbbf000-4fbc0000 rw-p 00050000 03:07 
240550     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libmlib_image.so
4fbc0000-4fbc4000 r-xp 00000000 03:07 
240547     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libnio.so
4fbc4000-4fbc6000 rw-p 00003000 03:07 
240547     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libnio.so
4fbce000-4fbcf000 r--p 00000000 03:0a 
67109      /usr/share/locale/en_GB/LC_MESSAGES/libc.mo
4fbcf000-4fbd1000 r-xp 00000000 03:0a 37370      /usr/lib/gconv/ISO8859-
1.so
4fbd1000-4fbd2000 rw-p 00001000 03:0a 37370      /usr/lib/gconv/ISO8859-
1.so
4fbd3000-4fbda000 r-xp 00000000 03:0a 
272173     /usr/X11R6/lib/libXp.so.6.2
4fbda000-4fbdb000 rw-p 00006000 03:0a 
272173     /usr/X11R6/lib/libXp.so.6.2
4fbdb000-4fc2a000 r-xp 00000000 03:0a 
277294     /usr/X11R6/lib/libXt.so.6.0
4fc2a000-4fc2e000 rw-p 0004e000 03:0a 
277294     /usr/X11R6/lib/libXt.so.6.0
4fc2e000-4fc3c000 r-xp 00000000 03:0a 
277286     /usr/X11R6/lib/libXext.so.6.4
4fc3c000-4fc3d000 rw-p 0000d000 03:0a 
277286     /usr/X11R6/lib/libXext.so.6.4
4fc3d000-4fc42000 r-xp 00000000 03:0a 
272179     /usr/X11R6/lib/libXtst.so.6.1
4fc42000-4fc43000 rw-p 00004000 03:0a 
272179     /usr/X11R6/lib/libXtst.so.6.1
4fc43000-4fd2a000 r-xp 00000000 03:0a 
277285     /usr/X11R6/lib/libX11.so.6.2
4fd2a000-4fd2f000 rw-p 000e6000 03:0a 
277285     /usr/X11R6/lib/libX11.so.6.2
4fd2f000-4fd37000 r-xp 00000000 03:0a 
277284     /usr/X11R6/lib/libSM.so.6.0
4fd37000-4fd38000 rw-p 00007000 03:0a 
277284     /usr/X11R6/lib/libSM.so.6.0
4fd38000-4fd4c000 r-xp 00000000 03:0a 
272163     /usr/X11R6/lib/libICE.so.6.3
4fd4c000-4fd4d000 rw-p 00013000 03:0a 
272163     /usr/X11R6/lib/libICE.so.6.3
4fd4f000-4fe10000 r-xp 00000000 03:07 
240552     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libfontmanager.so
4fe10000-4fe29000 rw-p 000c0000 03:07 
240552     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libfontmanager.so
4fe29000-4fe39000 r-xp 00000000 03:07 
240546     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libnet.so
4fe39000-4fe3a000 rw-p 0000f000 03:07 
240546     /opt/JDKs/Sun/jdk1.4.0/jre/lib/i386/libnet.so
4ff00000-4ff0a000 r--s 00000000 03:07 
48725      /opt/JBuilder5/lib/linuxDesktopConfigurator.jar
4ff0a000-4ff2c000 r--s 00000000 03:07 
48714      /opt/JBuilder5/lib/parser.jar
4ff2c000-4fff1000 r--s 00000000 03:07 
48720      /opt/JBuilder5/lib/xerces.jar
50004000-5000e000 r-xp 00000000 03:0a 85173      /lib/libnss_nisplus-
2.2.3.so
5000e000-5000f000 rw-p 00009000 03:0a 85173      /lib/libnss_nisplus-
2.2.3.so
5000f000-50019000 r-xp 00000000 03:0a 85172      /lib/libnss_nis-2.2.3.so
50019000-5001a000 rw-p 00009000 03:0a 85172      /lib/libnss_nis-2.2.3.so
5001a000-5001e000 r-xp 00000000 03:0a 85169      /lib/libnss_dns-2.2.3.so
5001e000-5001f000 rw-p 00003000 03:0a 85169      /lib/libnss_dns-2.2.3.so
5001f000-5002e000 r-xp 00000000 03:0a 85174      /lib/libresolv-2.2.3.so
5002e000-5002f000 rw-p 0000e000 03:0a 85174      /lib/libresolv-2.2.3.so
50032000-5009f000 r-xp 00000000 03:0a 81900      /lib/libnss_wins.so
5009f000-500ba000 rw-p 0006c000 03:0a 81900      /lib/libnss_wins.so

Local Time = Wed Jun 27 22:31:16 2001
Elapsed Time = 41
#
# The exception above was detected in native code outside the VM
#
# Java VM: Java HotSpot(TM) Client VM (1.4.0-beta-b65 mixed mode)
#

Only JDK 1.4.0 reports :
Unexpected Signal : 11 occurred at PC=0x40031F08
Function=__pthread_mutex_lock+0x18
Library=/lib/libpthread.so.0

and it has also reported :
Library=/usr/lib/libc.so.6

---------------------------------------------------------------------
Using JDK 1.3.1
---------------------------------------------------------------------
JDK 1.3.1 reports the UnexpectedException as 1.4.0-beta does, but by using 
the -classic flag this changes to ArrayOutOfBoundsException (and will also 
produce 7Gb of core dumps !!!).


---------------------------------------------------------------------
Using the built in JDK 1.3.0_02 and the -classic flag :
---------------------------------------------------------------------

Copyright (c) 1996-2001 Borland Software Corporation.  All rights reserved.

OUCH: nested memory code, to 1 levels.
SIGABRT   6*   abort (generated by abort(3) routine, also SIGIOT)
    si_signo [6]: SIGABRT   6*   abort (generated by abort(3) routine, 
also 
SIGIOT)
OUCH: nested memory code, to 1 levels.
OUCH: nested memory code, to 1 levels.
OUCH: nested memory code, to 1 levels.
OUCH: nested memory code, to 1 levels.
    si_errno [0]: Success
    si_code [0]: SI_USER [pid: 1789, uid: 0]
	stackpointer=0x48cfe5e8
OUCH: nested memory code, to 1 levels.

Full thread dump Classic VM (1.3.0_02, green threads):
    "TimerQueue" (TID:0x41bd0518, sys_thread_t:0x8d87020, state:R) prio=6
	at java.lang.Object.wait(Native Method)
	at javax.swing.TimerQueue.postExpiredTimers(TimerQueue.java:215)
	at javax.swing.TimerQueue.run(TimerQueue.java:230)
	at java.lang.Thread.run(Thread.java:484)
    "Image Fetcher 3" (TID:0x41c06668, sys_thread_t:0x844e808, state:CW) 
prio=8
	at java.lang.Object.wait(Native Method)
	at sun.awt.image.ImageFetcher.nextImage(ImageFetcher.java:163)
	at sun.awt.image.ImageFetcher.fetchloop(ImageFetcher.java:212)
	at sun.awt.image.ImageFetcher.run(ImageFetcher.java:185)
    "Image Fetcher 2" (TID:0x41c06528, sys_thread_t:0x844d278, state:CW) 
prio=8
	at java.lang.Object.wait(Native Method)
	at sun.awt.image.ImageFetcher.nextImage(ImageFetcher.java:163)
	at sun.awt.image.ImageFetcher.fetchloop(ImageFetcher.java:212)
	at sun.awt.image.ImageFetcher.run(ImageFetcher.java:185)
    "Image Fetcher 1" (TID:0x41c07d20, sys_thread_t:0x8459b48, state:CW) 
prio=8
	at java.lang.Object.wait(Native Method)
	at sun.awt.image.ImageFetcher.nextImage(ImageFetcher.java:163)
	at sun.awt.image.ImageFetcher.fetchloop(ImageFetcher.java:212)
	at sun.awt.image.ImageFetcher.run(ImageFetcher.java:185)
    "Image Fetcher 0" (TID:0x41bc53b8, sys_thread_t:0x86ea058, state:CW) 
prio=8
	at java.lang.Object.wait(Native Method)
	at sun.awt.image.ImageFetcher.nextImage(ImageFetcher.java:163)
	at sun.awt.image.ImageFetcher.fetchloop(ImageFetcher.java:212)
	at sun.awt.image.ImageFetcher.run(ImageFetcher.java:185)
    "AWT-Motif" (TID:0x41bc5980, sys_thread_t:0x86b7220, state:R) prio=5
	at sun.awt.motif.MToolkit.run(Native Method)
	at java.lang.Thread.run(Thread.java:484)
    "SunToolkit.PostEventQueue-0" (TID:0x41bc5e78, sys_thread_t:0x84b8578, 
state:CW) prio=5
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:420)
	at sun.awt.PostEventQueue.run(SunToolkit.java:496)
    "AWT-EventQueue-0" (TID:0x41bc5e50, sys_thread_t:0x84ca9b8, state:R) 
prio=6
	at java.net.InetAddressImpl.lookupAllHostAddr(Native Method)
	at java.net.InetAddress.getAddressFromNameService
(InetAddress.java:619)
	at java.net.InetAddress.getAllByName0(InetAddress.java:568)
	at java.net.InetAddress.getAllByName0(InetAddress.java:540)
	at java.net.InetAddress.getByName(InetAddress.java:449)
	at java.net.URLStreamHandler.getHostAddress
(URLStreamHandler.java:328)
	at java.net.URLStreamHandler.hashCode(URLStreamHandler.java:250)
	at java.net.URL.hashCode(URL.java:713)
	at java.util.Hashtable.get(Hashtable.java:320)
	at ice.pilots.html4.p.a(Unknown Source)
	at ice.pilots.html4.p.a(Unknown Source)
	at ice.pilots.html4.CSSLayout.b(Unknown Source)
	at ice.pilots.html4.CSSLayout.layout(Unknown Source)
	at ice.pilots.html4.swing.p.a(Unknown Source)
	at ice.pilots.html4.swing.p.doLayout(Unknown Source)
	at java.awt.Container.validateTree(Container.java:750)
	at java.awt.Container.validateTree(Container.java:757)
	at java.awt.Container.validateTree(Container.java:757)
	at java.awt.Container.validateTree(Container.java:757)
	at java.awt.Container.validateTree(Container.java:757)
	at java.awt.Container.validateTree(Container.java:757)
	at java.awt.Container.validateTree(Container.java:757)
	at java.awt.Container.validateTree(Container.java:757)
	at java.awt.Container.validate(Container.java:728)
	at com.borland.primetime.ui.Splitter.doLayout(Unknown Source)
	at java.awt.Container.validateTree(Container.java:750)
	at java.awt.Container.validateTree(Container.java:757)
	at java.awt.Container.validateTree(Container.java:757)
	at java.awt.Container.validateTree(Container.java:757)
	at java.awt.Container.validateTree(Container.java:757)
	at java.awt.Container.validate(Container.java:728)
	at java.awt.Window.show(Window.java:392)
	at java.awt.Component.show(Component.java:946)
	at java.awt.Component.setVisible(Component.java:903)
	at com.borland.jbuilder.ac.run(Unknown Source)
	at java.awt.event.InvocationEvent.dispatch
(InvocationEvent.java:154)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:331)
	at 
java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:134)
	at 
java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:101)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:96)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:88)
    "Finalizer" (TID:0x41b76528, sys_thread_t:0x80c9a80, state:CW) prio=8
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:108)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:123)
	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:162)
    "Reference Handler" (TID:0x41b76300, sys_thread_t:0x80c4bd8, state:CW) 
prio=10
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:420)
	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:110)
    "Signal dispatcher" (TID:0x41b76330, sys_thread_t:0x80c1998, state:CW) 
prio=5
    "Thread-1" (TID:0x41bb4f00, sys_thread_t:0x804cf10, state:CW) prio=5
Monitor Cache Dump:
    java.awt.Component$AWTTreeLock@41BDA278/41ED4888: owner 
"AWT-EventQueue-0" (0x84ca9b8) 3 entries
    java.util.Vector@41BC5390/41F03950: <unowned>
	Waiting to be notified:
	    "Image Fetcher 2" (0x844d278)
	    "Image Fetcher 0" (0x86ea058)
	    "Image Fetcher 1" (0x8459b48)
	    "Image Fetcher 3" (0x844e808)
    java.util.Hashtable@41C89BE0/4224DB90: owner "AWT-EventQueue-0" 
(0x84ca9b8) 1 entry
    com.borland.primetime.vfs.Handler@41C87CF0/421F5EA8: owner 
"AWT-EventQueue-0" (0x84ca9b8) 1 entry
    java.lang.ref.Reference$Lock@41B76310/41D12510: <unowned>
	Waiting to be notified:
	    "Reference Handler" (0x80c4bd8)
    java.net.URL@41C67850/42315D90: owner "AWT-EventQueue-0" (0x84ca9b8) 1 
entry
    sun.awt.PostEventQueue@41BC5E78/41F01898: <unowned>
	Waiting to be notified:
	    "SunToolkit.PostEventQueue-0" (0x84b8578)
    java.lang.ref.ReferenceQueue$Lock@41B76540/41D129F0: <unowned>
	Waiting to be notified:
	    "Finalizer" (0x80c9a80)
    javax.swing.TimerQueue@41BD0510/421780B8: owner "TimerQueue" 
(0x8d87020) 
2 entries
Registered Monitor Dump:
    utf8 hash table: <unowned>
    JNI pinning lock: <unowned>
    JNI global reference lock: <unowned>
    BinClass lock: <unowned>
    Class linking lock: <unowned>
    System class loader lock: <unowned>
    Code rewrite lock: <unowned>
    Heap lock: <unowned>
    Monitor cache lock: owner "AWT-EventQueue-0" (0x84ca9b8) 1 entry
    Dynamic loading lock: <unowned>
    Monitor IO lock: <unowned>
    User signal monitor: <unowned>
	Waiting to be notified:
	    "Signal dispatcher" (0x80c1998)
    Child death monitor: <unowned>
    I/O monitor: owner "AWT-Motif" (0x86b7220) 1 entry
    Alarm monitor: <unowned>
	Waiting to be notified:
	    <unknown thread> (0x8058378)
    Thread queue lock: owner "AWT-EventQueue-0" (0x84ca9b8) 1 entry
	Waiting to be notified:
	    "Thread-1" (0x804cf10)
    Monitor registry: owner "AWT-EventQueue-0" (0x84ca9b8) 1 entry

OUCH: nested memory code, to 1 levels.
OUCH: nested memory code, to 1 levels.

---------------------------------------------------------------------
Using plain JDK 1.3.0_02 :
---------------------------------------------------------------------

Copyright (c) 1996-2001 Borland Software Corporation.  All rights reserved.

# # An unexpected exception has been detected in native code outside the 
VM.# 
Program counter=0x40031f08
#
# Problematic Thread: prio=1 tid=0x8275008 nid=0x772 runnable 
#
./jbuilder: line 64:  1872 Aborted                 $jvm $bootPath -cp 
"$CLASSPATH" $vmArgs $mainClass -nosplash "$@"

This problem has also been reported to Borland and when I get time to Sun 
as well.
Comment 1 Ulrich Drepper 2004-09-30 06:30:28 EDT
I'm closing this.  It's outdated.  This kind of bug cannot be worked
on since we do not have the proprietary software in house.  And we do
not fix bugs in 3rd party software.  The ISV will have to show that
the bug is actually in the runtime.

Note You need to log in before you can comment on or make changes to this bug.